#!/usr/bin/env python
"""
_ Repack job Lifetimes_

T0Mon query: this class is used to produce the Repack statistical plots 
"""

from T0.DAS.Database.Oracle.Timing.ExpressJobLifetime import ExpressJobLifetime

class RepackJobLifetime(ExpressJobLifetime):
   """
   everything is inherited but the table names are replaced
   """
   sql= ExpressJobLifetime.sql.replace("express_job_def", "repack_job_def")
   sqlRunExtension=ExpressJobLifetime.sqlRunExtension.replace("express_job_def", "repack_job_def").replace("express_job_streamer_assoc", "repack_job_streamer_assoc")
   