#!/usr/bin/env python
"""
_Run_

Monitoring DAO classes for Runs in WMBS
"""
__all__ = []
__revision__ = "$Id: Run.py,v 1.1 2010/03/17 15:22:44 sryu Exp $"
__version__ = "$Revision: 1.1 $"

from WMCore.Database.DBFormatter import DBFormatter

class Run(DBFormatter):
    
    #TO: check what else is needed for return item
    sql = """SELECT run_id AS run,  run.start_time, run.reco_started, run_status.status FROM run  
             INNER JOIN run_status ON run.run_status = run_status.id 
             ORDER BY run_id"""
    
    def format(self, result):
        return self.formatDict(result)