#!/usr/bin/env python
"""
_number of streamers currently used in the express process by the input _
T0Mon: % in the front page [1 call for every run]
"""

from T0.DAS.Database.Oracle.Stats.NumByRun import NumByRun

class NumExpressTotalStreamersByRun(NumByRun):
    
    sql="""    SELECT COUNT(DISTINCT a.streamer_id) as count
    FROM repack_streamer_assoc a
        INNER JOIN wmbs_file_details f ON (a.repacked_id = f.id )
        INNER JOIN wmbs_file_runlumi_map m ON (f.id = m.fileid)
         INNER JOIN wmbs_fileset_files fsf ON (f.id = fsf.fileid)
        WHERE 
             m.run = :runid
             and fsf.fileset = (SELECT id FROM  wmbs_fileset  WHERE name = 'ExpressMergeable')"""

    

